<?php
/**
 * The Secondary Sidebar containing the secondary widget area
 *
 * @package NepalBuzz Pro
 */
?>

<?php
/**
 * rock_star_before_featured_widget_content hook
 */
do_action( 'rock_star_before_featured_widget_content' );

	$options 	 = rock_star_get_theme_options();
	$layouts 	 = $options['featured_content_layout'];
	$headline 	 = $options['featured_content_headline'];
	$subheadline = $options['featured_content_subheadline'];

	if ( !empty( $layouts ) ) {
		$classes = $layouts ;
	}

	echo '
		<section id="featured-content" class="' . esc_attr( $classes ) . '" role="complementary">
			<div class="wrapper">';
				if ( !empty( $headline ) || !empty( $subheadline ) ) {
					echo '<div class="featured-heading-wrap">';
						if ( !empty( $headline ) ) {
							echo '<h2 id="featured-heading" class="section-title">'. esc_attr( $headline ) .'</h2>';
						}
						if ( !empty( $subheadline ) ) {
							echo '<p class="sub-title">'. esc_attr( $subheadline ) .'</p>';
						}
					echo '</div><!-- .featured-heading-wrap -->';
				}

				echo '
				<div class="featured-content-wrap">';

				//Featured Widget Content Area
				if ( is_active_sidebar( 'featured-widget-content' ) ) {
			    	dynamic_sidebar( 'featured-widget-content' );
				}
				echo '
				</div><!-- .featured-content-wrap -->
			</div><!-- .wrapper -->
		</section><!-- #featured-content -->';
/**
 * rock_star_after_featured_widget_content hook
 *
 */
do_action( 'rock_star_after_featured_widget_content' );
